SDL_AtomicU32 Struct Reference

`#include <SDL_atomic.h>`

## Data Fields

Uint32 | value

## Detailed Description

A type representing an atomic unsigned 32-bit value.

This can be used to manage a value that is synchronized across multiple CPUs without a race condition; when an app sets a value with SDL_SetAtomicU32 all other threads, regardless of the CPU it is running on, will see that value when retrieved with SDL_GetAtomicU32, regardless of CPU caches, etc.

This is also useful for atomic compare-and-swap operations: a thread can change the value as long as its current value matches expectations. When done in a loop, one can guarantee data consistency across threads without a lock (but the usual warnings apply: if you don't know what you're doing, or you don't do it carefully, you can confidently cause any number of disasters with this, so in most cases, you should use a mutex instead of this!).

This is a struct so people don't accidentally use numeric operations on it directly. You have to use SDL atomic functions.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CompareAndSwapAtomicU32
  SDL_GetAtomicU32
  SDL_SetAtomicU32

Definition at line 550 of file SDL_atomic.h.

## Field Documentation

## value

Uint32 SDL_AtomicU32::value

Definition at line 550 of file SDL_atomic.h.

The documentation for this struct was generated from the following file:

- SDL_atomic.h